Open Redirect Affecting kibana Open this link in a new tab package, versions <5.6.5 >=6 <6.0.1


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

  • Scope

    Changed

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    npm:kibana:20171206-1

  • published

    22 Jan 2018

  • disclosed

    6 Dec 2017

  • credit

    Unknown

Overview

Kibana is an open source (Apache Licensed), browser-based analytics and search dashboard for Elasticsearch.

Affected versions of this package are vulnerable to Open Redirect.

The Kibana fix for CVE-2017-8451 was found to be incomplete. With X-Pack installed, Kibana versions before 6.0.1 and 5.6.5 have an open redirect vulnerability on the login page that would enable an attacker to craft a link that redirects to an arbitrary website.